unit see;

interface

const
   SEE_MIN_RESPONSE_WAIT = 1;
   SEE_MAX_RESPONSE_WAIT = 2;
   SEE_CONNECT_WAIT = 3;
   SEE_MIN_LINE_WAIT = 5;
   SEE_MAX_LINE_WAIT = 6;
   SEE_QUOTED_PRINTABLE = 8;
   SEE_AUTO_CALL_DRIVER = 9;
   SEE_LOG_FILE = 20;

   SEE_GET_COUNTER = 2;
   SEE_GET_RESPONSE = 3;
   SEE_GET_SOCK_ERROR = 4;
   SEE_GET_MESSAGE_BYTES_READ = 10;
   SEE_GET_ATTACH_BYTES_READ = 11;
   SEE_GET_TOTAL_BYTES_READ = 12;
   SEE_GET_MESSAGE_BYTES_SENT = 13;
   SEE_GET_ATTACH_BYTES_SENT = 14;
   SEE_GET_TOTAL_BYTES_SENT = 15;
   SEE_GET_VERSION = 16;

function seeClose : Integer; stdcall
function seeDebug(Index : Integer;  Buffer : PChar;  BufLen : Integer) : Integer; stdcall
function seeDeleteEmail(MsgNbr : Integer) : Integer; stdcall
function seeDriver : Integer; stdcall
function seeErrorText(Code : Integer;  Buffer : PChar;  BufLen : Integer) : Integer; stdcall
function seeExtractText(Src, Text, Buffer : PChar; BufLen : Integer) : Integer; stdcall
function seeGetEmailCount : Integer; stdcall
function seeGetEmailFile(MsgNbr : Integer;  FileName, EmailDir, AttachDir : PChar) : Integer; stdcall
function seeGetEmailLines(MsgNbr, Lines : Integer;  Buffer : PChar;  BufLen : Integer) : Integer; stdcall
function seeGetEmailSize(MsgNbr : Integer) : LongInt; stdcall
function seeIntegerParam(Index : Integer;  Value : LongInt) : Integer; stdcall
function seePop3Connect(Server, User, Password : PChar) : Integer; stdcall
function seeSendEmail(Rcpt, CC, BCC , Subj, Msg, Attach : PChar) : Integer; stdcall
function seeSmtpConnect(Server, From, Reply : PChar) : Integer; stdcall
function seeStatistics(Index : Integer) : Integer; stdcall
function seeStringParam(Index : Integer;  Value : PChar) : Integer; stdcall
function seeVerifyFormat(EmailAddr : PChar) : Integer; stdcall

implementation

function seeClose; external 'SEE32.DLL';
function seeDebug; external 'SEE32.DLL';
function seeDeleteEmail; external 'SEE32.DLL';
function seeDriver; external 'SEE32.DLL';
function seeErrorText; external 'SEE32.DLL';
function seeExtractText; external 'SEE32.DLL';
function seeGetEmailCount; external 'SEE32.DLL';
function seeGetEmailFile; external 'SEE32.DLL';
function seeGetEmailLines; external 'SEE32.DLL';
function seeGetEmailSize; external 'SEE32.DLL';
function seeIntegerParam; external 'SEE32.DLL';
function seePop3Connect; external 'SEE32.DLL';
function seeSendEmail; external 'SEE32.DLL';
function seeSmtpConnect; external 'SEE32.DLL';
function seeStatistics; external 'SEE32.DLL';
function seeStringParam; external 'SEE32.DLL';
function seeVerifyFormat; external 'SEE32.DLL';
end.




